HostingDomains

List postmasters

GET/api/domains/postmasters

Returns postmaster accounts for the domains available to the authenticated user.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Query Parameters

page?integer

Page number

Format int32Default 1
per?integer

Results per page

Format int32Default 25
query?string

Search query

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/domains/postmasters" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json"
{  "resources": [    {      "activated_at": "string",      "archive_activated_at": "string",      "created_at": "string",      "updated_at": "string",      "archive_import_executed_at": "string",      "allow_nets": [        null      ],      "apply_allow_nets_webmail": true,      "archive": true,      "archive_disabled": true,      "pop_disabled": true,      "email_services": 0,      "webmail_disabled": true,      "imap_disabled": true,      "smtp_disabled": true,      "calendar": true,      "meeting": true,      "activesync": true,      "chat": true,      "dav": true,      "max_email_quota": 52428800,      "status": "enabled",      "status_detail": "ok",      "archive_status": "activating",      "archive_import_status": "running",      "timezone": "string",      "type": "EmailAccount",      "code": "string",      "name": "string",      "domain_name": "string",      "domain_code": "string",      "domain_force_otp": true,      "domain_limit_tracemail_21_days": true,      "identities": [        null      ],      "email_address": "string",      "language": "it",      "bounce_mail": true,      "bounce_msg": "string",      "keep_copy": true,      "forwards": [        null      ],      "autoresponder_subject": "string",      "autoresponder_body": "string",      "autoresponder_enabled": true,      "autoresponder_start_date": "string",      "autoresponder_end_date": "string",      "autoresponder_intervals_enabled": true,      "lastauth": 0,      "lastauth_protocol": "string",      "lastauth_datetime": "string",      "messages": 0,      "quota": 0,      "quota_human": "string",      "vault_quota": 0,      "vault_quota_human": "string",      "vault_messages": 0,      "otp": true,      "customization_logo": "string",      "customization_help_desk_url": "string",      "customization_company": "string",      "outbound_limit": 0,      "outbound_limit_status": 0,      "outbound_limit_period": 0,      "reset_outbound_limit_time": "string",      "spam_in_inbox": true,      "retention": 0,      "delegates": [        {          "status": "enabled",          "status_detail": "customer",          "code": "string",          "firstname": "string",          "lastname": "string",          "language": "it",          "fullname": "string",          "customer_code": "string",          "is_vianova_customer": "string",          "company": "string",          "expiration": "string",          "visualization_start": "string",          "visualization_end": "string",          "username": "string",          "email_accounts": "string",          "domains": "string",          "email_address": "string",          "created_at": "string",          "updated_at": "string",          "manager_fullname": "string",          "manager_code": "string",          "is_customer_disabled": "string",          "type": "Delegate",          "qbvault_last_auth": "string",          "qbvault_session_ip": "string"        }      ],      "delegates_no": 0,      "qbvault_last_auth": "string",      "qbvault_session_ip": "string",      "hide_from_addressbook_company": true,      "firstname": "string",      "lastname": "string",      "secondary_email": "string",      "country": "string",      "city": "string",      "state": "string",      "zip": "string",      "address": "string",      "company": "string",      "role": "string",      "team_manager": "string",      "telephone": "string",      "mobilephone": "string",      "fax": "string",      "organizational_unit": "string",      "api_enabled": true,      "force_otp": true,      "block_old_password": true,      "password_expiration": -1,      "password_expiration_relative_days": 0,      "destroy_sessions_on_password_expiration": true,      "password_recovery_disabled": true,      "password_change_disabled": true,      "force_new_password": true,      "password_expired": true,      "webmail_language": "it",      "webmail_time_format": "12h",      "webmail_date_format": "YYYY/MM/DD",      "webmail_timezone": "string",      "type_label": "string",      "mtm_restores_current_month_counter": 0,      "vault_extra_space_quantity": 0,      "restrict_from_field": true,      "is_vianova_customer": true    }  ],  "pagination": {    "per": 0,    "page": 0,    "total_pages": 0,    "query": "string",    "filter": "string",    "status": "string",    "sort_field": "string",    "sort": "string",    "total_records": 0,    "totals": {}  }}